# Uses of Class
org.apache.commons.math3.optimization.linear.LinearConstraint

Packages that use LinearConstraint
Package
Description
org.apache.commons.math3.optimization.linear
This package provides optimization algorithms for linear constrained problems.

## Uses of LinearConstraint in org.apache.commons.math3.optimization.linear

Methods in org.apache.commons.math3.optimization.linear that return types with arguments of type LinearConstraint
Modifier and Type
Method
Description
`protected Collection<LinearConstraint>`
AbstractLinearOptimizer.`getConstraints()`
Deprecated.
Method parameters in org.apache.commons.math3.optimization.linear with type arguments of type LinearConstraint
Modifier and Type
Method
Description
`PointValuePair`
AbstractLinearOptimizer.`optimize(LinearObjectiveFunction f, Collection<LinearConstraint> constraints, GoalType goalType, boolean restrictToNonNegative)`
Deprecated.
Optimizes an objective function.
`PointValuePair`
LinearOptimizer.`optimize(LinearObjectiveFunction f, Collection<LinearConstraint> constraints, GoalType goalType, boolean restrictToNonNegative)`
Deprecated.
Optimizes an objective function.